Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.jms.sampler
Class JMSSampler

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.AbstractSampler
              org.apache.jmeter.protocol.jms.sampler.JMSSampler

All Implemented Interfaces:
  Cloneable, Sampler, Serializable, TestElement, ThreadListener

public class JMSSampler
extends AbstractSampler
implements ThreadListener

This class implements the JMS Point-to-Point sampler

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`JMSSampler()`

Method Summary
`Arguments` | `getArguments(String name)`
`String` | `getContent()`
`String` | `getContextProvider()`
`String` | `getInitialContextFactory()`
`Arguments` | `getJMSProperties()`
`Arguments` | `getJNDIProperties()`
`String` | `getQueueConnectionFactory()`
`String` | `getReceiveQueue()`
`String` | `getSendQueue()`
`int` | `getTimeout()`
`boolean` | `isNonPersistent()`
`boolean` | `isOneway()`
`boolean` | `isUseReqMsgIdAsCorrelId()`
`SampleResult` | `sample(Entry entry)` Obtains statistics about the given Entry, and packages the information into a SampleResult.
`void` | `setArguments(Arguments args)`
`void` | `setContent(String content)`
`void` | `setContextProvider(String string)`
`void` | `setInitialContextFactory(String string)`
`void` | `setIsOneway(boolean isOneway)`
`void` | `setJMSProperties(Arguments args)`
`void` | `setJNDIProperties(Arguments args)`
`void` | `setNonPersistent(boolean value)`
`void` | `setQueueConnectionFactory(String qcf)`
`void` | `setReceiveQueue(String name)`
`void` | `setSendQueue(String name)`
`void` | `setTimeout(String s)`
`void` | `setUseReqMsgIdAsCorrelId(boolean value)`
`void` | `testIterationStart(LoopIterationEvent event)`
`void` | `threadFinished()` Called once for each thread at the end of a test
`void` | `threadStarted()` Called just before the start of the thread
`String` | `toString()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`addTestElement, canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### JMSSampler

    public JMSSampler()

Method Detail

### sample

    public SampleResult sample(Entry entry)

  Description copied from interface: `Sampler`
  Obtains statistics about the given Entry, and packages the information into a SampleResult.

  Specified by:
    `sample` in interface `Sampler`

### getJMSProperties

    public Arguments getJMSProperties()

### setJMSProperties

    public void setJMSProperties(Arguments args)

### getJNDIProperties

    public Arguments getJNDIProperties()

### setJNDIProperties

    public void setJNDIProperties(Arguments args)

### getQueueConnectionFactory

    public String getQueueConnectionFactory()

### setQueueConnectionFactory

    public void setQueueConnectionFactory(String qcf)

### getSendQueue

    public String getSendQueue()

### setSendQueue

    public void setSendQueue(String name)

### getReceiveQueue

    public String getReceiveQueue()

### setReceiveQueue

    public void setReceiveQueue(String name)

### getContent

    public String getContent()

### setContent

    public void setContent(String content)

### isOneway

    public boolean isOneway()

### isNonPersistent

    public boolean isNonPersistent()

### isUseReqMsgIdAsCorrelId

    public boolean isUseReqMsgIdAsCorrelId()

### getInitialContextFactory

    public String getInitialContextFactory()

### getContextProvider

    public String getContextProvider()

### setIsOneway

    public void setIsOneway(boolean isOneway)

### setNonPersistent

    public void setNonPersistent(boolean value)

### setUseReqMsgIdAsCorrelId

    public void setUseReqMsgIdAsCorrelId(boolean value)

### toString

    public String toString()

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

### threadStarted

    public void threadStarted()

  Description copied from interface: `ThreadListener`
  Called just before the start of the thread

  Specified by:
    `threadStarted` in interface `ThreadListener`
  See Also:
    `org.apache.jmeter.threads.JMeterThread#threadStarted()`

### getTimeout

    public int getTimeout()

### threadFinished

    public void threadFinished()

  Description copied from interface: `ThreadListener`
  Called once for each thread at the end of a test

  Specified by:
    `threadFinished` in interface `ThreadListener`
  See Also:
    `org.apache.jmeter.threads.JMeterThread#threadFinished()`

### setArguments

    public void setArguments(Arguments args)

### getArguments

    public Arguments getArguments(String name)

### setTimeout

    public void setTimeout(String s)

### setInitialContextFactory

    public void setInitialContextFactory(String string)

  Parameters:
    `string` -

### setContextProvider

    public void setContextProvider(String string)

  Parameters:
    `string` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.